# ``twisted`.`python`.`filepath``

module documentation
(source)

Object-oriented filesystem path representation.

Interface | `IFilePath` | File path object.
Class | `AbstractFilePath` | Abstract implementation of an `IFilePath`; must be completed by a subclass.
Class | `FilePath` | I am a path on the filesystem that only permits 'downwards' access.
Class | `InsecurePath` | Error that is raised when the path provided to `FilePath` is invalid.
Class | `LinkError` | An error with symlinks - either that there are cyclical symlinks or that symlink are not supported on this platform.
Class | `Permissions` | A class representing read/write/execute permissions. Instantiate with any portion of the file's mode that includes the permission bits.
Class | `RWX` | A class representing read/write/execute permissions for a single user category (i.e. user/owner, group, or other/world). Instantiate with three boolean values: readable? writable? executable?.
Class | `UnlistableError` | An exception which is used to distinguish between errors which mean 'this is not a directory you can list' and other, more catastrophic errors.
Variable | `islink` | Undocumented
Function | `_asFilesystemBytes` | Return `path` as a string of `bytes` suitable for use on this system's filesystem.
Function | `_asFilesystemText` | Return `path` as a string of `unicode` suitable for use on this system's filesystem.
Function | `_coerceToFilesystemEncoding` | Return a `newpath` that is suitable for joining to `path`.
Function | `_secureEnoughString` | Compute a string usable as a new, temporary filename.
Function | `_stub_islink` | Always return `False` if the operating system does not support symlinks.
Constant | `_CREATE_FLAGS` | Undocumented

islink = (source)

Undocumented

def _asFilesystemBytes(path, encoding=''): (source)
Return `path` as a string of `bytes` suitable for use on this system's filesystem.

Parameters
path:`bytes` or `unicode` | The path to be made suitable.
encoding:`str` | The encoding to use if coercing to `bytes`. If none is given, `sys.getfilesystemencoding` is used.
Returns
`bytes` | `bytes`

def _asFilesystemText(path, encoding=None): (source)
Return `path` as a string of `unicode` suitable for use on this system's filesystem.

Parameters
path:`bytes` or `unicode` | The path to be made suitable.
encoding | The encoding to use if coercing to `unicode`. If none is given, `sys.getfilesystemencoding` is used.
Returns
`unicode`

def _coerceToFilesystemEncoding(path, newpath, encoding=None): (source)
Return a `newpath` that is suitable for joining to `path`.

Parameters
path | The path that it should be suitable for joining to.
newpath | The new portion of the path to be coerced if needed.
encoding | If coerced, the encoding that will be used.

def _secureEnoughString(path): (source)
Compute a string usable as a new, temporary filename.

Parameters
path | The path that the new temporary filename should be able to be concatenated with.
Returns
the type of `path` | A pseudorandom, 16 byte string for use in secure filenames.

def _stub_islink(path): (source)
Always return `False` if the operating system does not support symlinks.

Parameters
path:`str` | A path string.
Returns
`bool` | `False`

_CREATE_FLAGS = (source)

Undocumented

Value

    ((os.O_EXCL|os.O_CREAT)|os.O_RDWR)|O_BINARY